#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: MissingH
version: 1.4.0.1
id: MissingH-1.4.0.1-GQGnOrziyxPB5IxYn3iLeB
key: MissingH-1.4.0.1-GQGnOrziyxPB5IxYn3iLeB
license: BSD-3-Clause
copyright: Copyright (c) 2004-2016 John Goerzen
maintainer: John Goerzen <jgoerzen@complete.org>
author: John Goerzen
stability: Beta
homepage: http://software.complete.org/missingh
synopsis: Large utility library
description:
    MissingH is a library of all sorts of utility functions for
    Haskell programmers.  It is written in pure Haskell and thus should
    be extremely portable and easy to use.
category: Unclassified
abi: 35e144ad846ab5ebe5e9a390d12fb1d1
exposed: True
exposed-modules:
    Control.Concurrent.Thread.Utils Data.BinPacking Data.Bits.Utils
    Data.CSV Data.Compression.Inflate Data.Either.Utils
    Data.Hash.CRC32.GZip Data.Hash.MD5 Data.Hash.MD5.Zord64_HARD
    Data.List.Utils Data.MIME.Types Data.Map.Utils Data.Maybe.Utils
    Data.Progress.Meter Data.Progress.Tracker Data.Quantity
    Data.String.Utils Data.Tuple.Utils Network.Email.Mailbox
    Network.Email.Sendmail Network.SocketServer Network.Utils
    System.Cmd.Utils System.Console.GetOpt.Utils System.Daemon
    System.Debian System.Debian.ControlParser System.FileArchive.GZip
    System.IO.Binary System.IO.HVFS System.IO.HVFS.Combinators
    System.IO.HVFS.InstanceHelpers System.IO.HVFS.Utils System.IO.HVIO
    System.IO.PlafCompat System.IO.StatCompat System.IO.Utils
    System.IO.WindowsCompat System.Path System.Path.Glob
    System.Path.NameManip System.Path.WildMatch System.Posix.Consts
    System.Time.Utils Text.ParserCombinators.Parsec.Utils
import-dirs: /usr/lib/ghc-8.4.3/site-local/MissingH-1.4.0.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/MissingH-1.4.0.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/MissingH-1.4.0.1
hs-libraries: HSMissingH-1.4.0.1-GQGnOrziyxPB5IxYn3iLeB
depends:
    network-2.7.0.2-2ShKE4Ejgp6Bq9Qkb7AIP parsec-3.1.13.0 base-4.11.1.0
    mtl-2.2.2 HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx
    regex-compat-0.95.1-GpayP5pCY7oFkOLgNVrkag filepath-1.4.2
    hslogger-1.2.10-CdDWhqXqAB49XMwoINoCb5 directory-1.3.1.5
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV process-1.6.3.0
    old-time-1.1.0.3-ISACJ3jTIVREs8CzPwsoWu containers-0.5.11.0
    old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh array-0.5.2.0
    time-1.8.0.2 unix-2.7.2.2
abi-depends: network-2.7.0.2-2ShKE4Ejgp6Bq9Qkb7AIP=febca036f4f0db50e6534d133a8b12c8
             parsec-3.1.13.0=a963888603f65e0a8f63f07fffd516d6
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             HUnit-1.6.0.0-8OmbxYW4AG9PppbZs26Xx=b175aabb3dd9ae95a14a70d0ded5aa16
             regex-compat-0.95.1-GpayP5pCY7oFkOLgNVrkag=af6f71e3e9a26b52511ae7ff4847855c
             filepath-1.4.2=f8b35940dbf3bb5331e1c5ab9738687d
             hslogger-1.2.10-CdDWhqXqAB49XMwoINoCb5=e6b1808592dcdf2fd24c65870b044316
             directory-1.3.1.5=e563da47c8e71ee27761a9b9d172f1ec
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=8df244958947206247b1dd733653312e
             process-1.6.3.0=abb0cfe39ff8617a198f540a7db854a9
             old-time-1.1.0.3-ISACJ3jTIVREs8CzPwsoWu=bc059b0124ba79adaeef6204d1984335
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh=624bb9fc159afd36b39208b6844f8edd
             array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             unix-2.7.2.2=5200b6eb79607eed6537538f20d679bf
haddock-interfaces: /usr/share/doc/haskell-missingh/html/MissingH.haddock
haddock-html: /usr/share/doc/haskell-missingh/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

